# CUpti_ActivityOpenMp Struct Reference
[CUPTI Activity API]

The base activity record for OpenMp records. More...

## Data Fields
uint32_t | cuProcessId
uint32_t | cuThreadId
uint64_t | end
CUpti_OpenMpEventKind | eventKind
CUpti_ActivityKind | kind
uint64_t | start
uint32_t | threadId
uint32_t | version

## Detailed Description

See also:
  CUpti_ActivityKind

## Field Documentation

uint32_t CUpti_ActivityOpenMp::cuProcessId

The ID of the process where the OpenMP activity is executing.

uint32_t CUpti_ActivityOpenMp::cuThreadId

The ID of the thread where the OpenMP activity is executing.

uint64_t CUpti_ActivityOpenMp::end

CUPTI end timestamp

CUpti_OpenMpEventKind CUpti_ActivityOpenMp::eventKind

CUPTI OpenMP event kind (

See also:
  CUpti_OpenMpEventKind)

CUpti_ActivityKind CUpti_ActivityOpenMp::kind

The kind of this activity.

uint64_t CUpti_ActivityOpenMp::start

CUPTI start timestamp

uint32_t CUpti_ActivityOpenMp::threadId

ThreadId

uint32_t CUpti_ActivityOpenMp::version

Version number